Summary:        Main session for Nde desktop suite
Name:           nde-session 
Version:        0.0.1
Release:        22%{?dist}
License:        LGPLv2+
URL:            http://www.gd-linux.com
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  cmake, gcc, gcc-c++, nde-lib-devel, glib2-devel
BuildRequires:  pkgconfig(libstatgrab), pkgconfig(xcb), pkgconfig(x11), pkgconfig(libudev)
BuildRequires:  pkgconfig(Qt5Widgets), pkgconfig(Qt5DBus), pkgconfig(Qt5X11Extras), pkgconfig(Qt5Help)
BuildRequires:  libqtxdg-devel, kf5-kwindowsystem-devel, desktop-file-utils
Requires:       dbus-x11
Requires:       libqtxdg
Recommends:     pcmanfm-qt



%description
%{summary}.

%package l10n
Summary:        Translations for nde-session
Requires:       nde-session

%description l10n
This package provides translations for the nde-session package.



%prep
%setup -q



%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
	%{cmake_nde} -DBUNDLE_XDG_UTILS=NO -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}



%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
mkdir %{buildroot}%{_sysconfdir}/nde/
cp %{buildroot}%{_datadir}/nde/nde.conf %{buildroot}%{_datadir}/nde/session.conf %{buildroot}%{_sysconfdir}/nde/

%find_lang nde-session --with-qt
%find_lang nde-config-session --with-qt
%find_lang nde-leave --with-qt



%files
%{_bindir}/nde-session
%{_bindir}/nde-config-session
%{_bindir}/nde-leave
%{_bindir}/startnde
%{_datadir}/applications/*.desktop
%{_sysconfdir}/xdg/autostart/nde-xscreensaver-autostart.desktop
%{_sysconfdir}/xdg/openbox/nde-rc.xml
%{_sysconfdir}/nde/
%{_datadir}/kdm/sessions/nde.desktop
%{_datadir}/nde/nde.conf
%{_datadir}/nde/session.conf
%{_datadir}/nde/windowmanagers.conf
%{_datadir}/xsessions/nde.desktop
%{_mandir}/man1/startnde.1.gz
%{_mandir}/man1/nde-config-session*
%{_mandir}/man1/nde-leave*
%{_mandir}/man1/nde-session*

%files l10n -f nde-session.lang -f nde-leave.lang -f nde-config-session.lang
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%dir %{_datadir}/nde/translations/%{name}
%dir %{_datadir}/nde/translations/nde-config-session
%dir %{_datadir}/nde/translations/nde-leave



%changelog
* Tue Jan 30 2024 Zhao Zhen <jeremiazhao@tencent.com> - 0.0.1-22
- small fix

* Thu Nov 19 2020 He Leilei <he.leilei@zte.com.cn> -0.0.1-21
- 修改特效设置接口，去除黑色边框

* Wed Nov 11 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-20
- 离开界面双屏显示

* Wed Nov 4 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-19
- 取消调用登录接口

* Wed Oct 23 2020 He Leilei <he.leilei@zte.com.cn> -0.0.1-18
- 添加特效设置接口

* Wed Oct 21 2020 He Leilei <he.leilei@zte.com.cn> -0.0.1-17
- 添加模糊效果设置的配置

* Thu Sep 10 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-15
- 添加汉化

* Wed Sep 02 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-14
- 去掉切换用户中间界面

* Tue Aug 25 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-12
- 修改样式，添加切换用户接口

* Thu Aug 13 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-10
- 注销后回到登录界面

* Wed Jul 22 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-8
- 恢复睡眠接口

* Wed Jul 08 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-7
- 添加遮罩色，修改图片路径  睡眠接口修改成挂起

* Thu Jul 02 2020 Wu Jiaheng <wu.jiaheng@zte.com.cn> -0.0.1-6
- 添加离开系统界面

* Thu Jun 4 2020 Zhang Wen <zhang.wen2@zte.com.cn> -0.0.1-5
- 默认字体为思源黑体

* Mon May 18 2020 Wu Shangmin <wu.shangmin@zte.com.cn> -0.0.1-1
- Rename(984) 

* Fri May 15 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.14.1-6
- 修改默认光标 

* Thu May 14 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.14.1-5
- 修改默认光标

* Thu May 14 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.14.1-4
- 修改默认窗口管理为kwin和QT风格默认为Newstart和去掉openbox依赖

* Thu May 14 2020 Cheng Qian <cheng.qian2@zte.com.cn> - 0.14.1-3
- 修改依赖和默认图标主题和默认字体 

